Delete
curl --request DELETE \
--url http://{host}:{port}/{contextPath}/process-instance/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/process-instance/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/process-instance/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}Process Instance
Delete
Deletes a running process instance by id.
DELETE
/
process-instance
/
{id}
Delete
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the process instance to be deleted.
Query Parameters
If set to true, the custom listeners will be skipped.
If set to true, the input/output mappings will be skipped.
If set to true, subprocesses related to deleted processes will be skipped.
If set to false, the request will still be successful if the process id is not found.
Response
Request successful.